OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.VertexBufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexBufferObject :: MonadIO m => m Bool
- gl_ARB_vertex_buffer_object :: Bool
- pattern GL_ARRAY_BUFFER_ARB :: GLenum
- pattern GL_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_BUFFER_ACCESS_ARB :: GLenum
- pattern GL_BUFFER_MAPPED_ARB :: GLenum
- pattern GL_BUFFER_MAP_POINTER_ARB :: GLenum
- pattern GL_BUFFER_SIZE_ARB :: GLenum
- pattern GL_BUFFER_USAGE_ARB :: GLenum
- pattern GL_COLOR_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_DYNAMIC_COPY_ARB :: GLenum
- pattern GL_DYNAMIC_DRAW_ARB :: GLenum
- pattern GL_DYNAMIC_READ_ARB :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_ELEMENT_ARRAY_BUFFER_ARB :: GLenum
- pattern GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_INDEX_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_NORMAL_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_READ_ONLY_ARB :: GLenum
- pattern GL_READ_WRITE_ARB :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_STATIC_COPY_ARB :: GLenum
- pattern GL_STATIC_DRAW_ARB :: GLenum
- pattern GL_STATIC_READ_ARB :: GLenum
- pattern GL_STREAM_COPY_ARB :: GLenum
- pattern GL_STREAM_DRAW_ARB :: GLenum
- pattern GL_STREAM_READ_ARB :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_VERTEX_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB :: GLenum
- pattern GL_WRITE_ONLY_ARB :: GLenum
- glBindBufferARB :: MonadIO m => GLenum -> GLuint -> m ()
- glBufferDataARB :: MonadIO m => GLenum -> GLsizeiptrARB -> Ptr a -> GLenum -> m ()
- glBufferSubDataARB :: MonadIO m => GLenum -> GLintptrARB -> GLsizeiptrARB -> Ptr a -> m ()
- glDeleteBuffersARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenBuffersARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetBufferParameterivARB :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetBufferPointervARB :: MonadIO m => GLenum -> GLenum -> Ptr (Ptr a) -> m ()
- glGetBufferSubDataARB :: MonadIO m => GLenum -> GLintptrARB -> GLsizeiptrARB -> Ptr a -> m ()
- glIsBufferARB :: MonadIO m => GLuint -> m GLboolean
- glMapBufferARB :: MonadIO m => GLenum -> GLenum -> m (Ptr a)
- glUnmapBufferARB :: MonadIO m => GLenum -> m GLboolean

# Extension Support

glGetARBVertexBufferObject :: MonadIO m => m Bool Source #

Is the ARB_vertex_buffer_object extension supported?

gl_ARB_vertex_buffer_object :: Bool Source #

Is the ARB_vertex_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexBufferObject` in those cases instead.

# Enums

pattern GL_ARRAY_BUFFER_ARB :: GLenum Source #

pattern GL_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_BUFFER_ACCESS_ARB :: GLenum Source #

pattern GL_BUFFER_MAPPED_ARB :: GLenum Source #

pattern GL_BUFFER_MAP_POINTER_ARB :: GLenum Source #

pattern GL_BUFFER_SIZE_ARB :: GLenum Source #

pattern GL_BUFFER_USAGE_ARB :: GLenum Source #

pattern GL_COLOR_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_DYNAMIC_COPY_ARB :: GLenum Source #

pattern GL_DYNAMIC_DRAW_ARB :: GLenum Source #

pattern GL_DYNAMIC_READ_ARB :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_ELEMENT_ARRAY_BUFFER_ARB :: GLenum Source #

pattern GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_INDEX_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_NORMAL_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_READ_ONLY_ARB :: GLenum Source #

pattern GL_READ_WRITE_ARB :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_STATIC_COPY_ARB :: GLenum Source #

pattern GL_STATIC_DRAW_ARB :: GLenum Source #

pattern GL_STATIC_READ_ARB :: GLenum Source #

pattern GL_STREAM_COPY_ARB :: GLenum Source #

pattern GL_STREAM_DRAW_ARB :: GLenum Source #

pattern GL_STREAM_READ_ARB :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_VERTEX_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB :: GLenum Source #

pattern GL_WRITE_ONLY_ARB :: GLenum Source #

# Functions

glBindBufferARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `buffer`.
-> m () |

This command is an alias for `glBindBuffer`.

glBufferDataARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLsizeiptrARB | `size` of type `BufferSizeARB`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> GLenum | `usage` of type BufferUsageARB.
-> m () |

This command is an alias for `glBufferData`.

glBufferSubDataARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptrARB | `offset` of type `BufferOffsetARB`.
-> GLsizeiptrARB | `size` of type `BufferSizeARB`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> m () |

This command is an alias for `glBufferSubData`.

glDeleteBuffersARB Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteBuffers`.

glGenBuffersARB Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenBuffers`.

glGetBufferParameterivARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `pname` of type BufferPNameARB.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetBufferParameteriv`.

glGetBufferPointervARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `pname` of type BufferPointerNameARB.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

This command is an alias for `glGetBufferPointerv`.

glGetBufferSubDataARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptrARB | `offset` of type `BufferOffsetARB`.
-> GLsizeiptrARB | `size` of type `BufferSizeARB`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> m () |

This command is an alias for `glGetBufferSubData`.

glIsBufferARB Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsBuffer`.

glMapBufferARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `access` of type BufferAccessARB.
-> m (Ptr a) |

This command is an alias for `glMapBuffer`.

glUnmapBufferARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> m GLboolean | of type Boolean.

This command is an alias for `glUnmapBuffer`.